%OUT = DI_CREATE(SZ,CLASS)
%    Create a ZEROS array of any numeric type.

% (C) Copyright 1999-2000               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, November 2000.

function out = di_create(sz,class)
if nargin ~= 2 | ~isnumeric(sz), error('Wrong input.'), end
%#function int8, uint8, int16, uint16, int32, uint32, int64, uint64, single, double
out(prod(sz)) = feval(class,0);
out = reshape(out,sz);
